Impossibile installare Autocad 2015 a causa di .NET Framework 4.6

Recentemente mi è capitato di dover installare AutoCAD 2015 su un notebook di ultima generazione con Windows 8.1. Nulla di più complicato! AutoCAD, come molti software progettati qualche anno addietro fanno riferimento al Microsoft .NET Framework 4.5 come prerequisito nella procedura di installazione. Un recente aggiornamento di Windows ha invece incrementato la versione del framework a 4.6. Sulla base del metodo di verifica (per stringa, non numerico) il setup si blocca non permettendo di fatto l’installazione del prodotto, nonostante la versione di framework sia compatibile e più aggiornata di quella richiesta. Dopo una serie di sbattimenti sono riuscito a terminare l’installazione utilizzando la procedura di seguito descritta per disinstallare il framework 4.6.

Mentre per i sistemi basati su Windows Vista e Windows 7 il framework si può disinstallare dal pannello di controllo, nei sistemi più recenti non si riesce ad individuare la voce.

Di seguito la soluzione: per i sistemi Windows 8 / Windows Server 2012, il .NET Framework 4.6 è installato come aggiornamento di windows KB3045562, nel caso di Windows 8.1 o Windows Server 2012 R2, il codice dell’aggiornamento è KB3045563. E’ sufficiente andare alla voce programmi e funzionalità del Pannello di Controllo, selezionare la voce per disinstallare gli aggiornamenti di windows e cercare il codice dell’aggiornamento.

 

Un altro espediente è quello di cambiare la chiave dove viene riportata la versione di .NET Framework installata, ossia

HKEY_LOCAL_MACHINE\SOFTWARE\Microsoft\NET Framework Setup\NDP\v4\Client

scrivendo 4.5 al posto del valore (4.6000xxx) , effettuando l’installazione di AutoCAD 2015 e ripristinando infine il valore originale.

 

Lascia un commento

Il tuo indirizzo email non sarà pubblicato. I campi obbligatori sono contrassegnati *

Time limit is exhausted. Please reload CAPTCHA.